petsc-3.15.0 2021-03-30
Report Typos and Errors

# PCHPDDMGetSTShareSubKSP

Gets whether the KSP in SLEPc ST and the fine-level subdomain solver is shared.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCHPDDMGetSTShareSubKSP(PC pc, PetscBool *share)

### Input Parameter

| pc | - preconditioner context

### Output Parameter

| share | - whether the KSP is shared or not

### Notes

This is not the same as PCGetReusePreconditioner(). The return value is unlikely to be true, but when it is, a symbolic factorization can be skipped when using a subdomain PCType such as PCLU or PCCHOLESKY.

### Level

advanced

### Location

src/ksp/pc/impls/hpddm/hpddm.cxx

### Examples

src/ksp/ksp/tutorials/ex76.c.html

### Implementations

PCHPDDMGetSTShareSubKSP_HPDDM in src/ksp/pc/impls/hpddm/hpddm.cxx
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages